<?php

#Catch invalid access
if (!defined('MEDIAWIKI')) {
    echo <<<EOT
This file is no valid access point to MediaWiki. Install this Extension by placing
require_once( "\$IP/extensions/SemanticOLAP/SemanticOLAP.php" );
in LocalSettings.php
EOT;
    exit(1);
}

#Register extension
$wgExtensionCredits[defined( 'SEMANTIC_EXTENSION_TYPE' ) ? 'semantic' : 'specialpage'][] = array(
    'path' => __FILE__,
    'name' => 'Semantic OLAP',
    'author' => '[http://www.aifb.kit.edu/web/Tobias_Weller Tobias Weller]',
    'description' => 'Provides special pages for querying Information in SMW with an OLAP Tool',
    'version'  => '1.0',
    'license-name' => "Apache License 2.0",   // Short name of the license, links LICENSE or COPYING file if existing - string, added in 1.23.0
    'url' => "https://www.mediawiki.org/wiki/Extension:Semantic_OLAP",
);

#Init special pages
$wgMessagesDirs['SemanticOLAP'] = __DIR__ . '/i18n';
$wgExtensionMessagesFiles['SpecialSemanticOLAPAlias'] = __DIR__ . '/includes/SpecialSemanticOLAP.alias.php';
$wgAutoloadClasses['SpecialSemanticOLAP'] = __DIR__ . '/includes/SpecialSemanticOLAP.php';
$wgSpecialPages['SemanticOLAP'] = 'SpecialSemanticOLAP';

# Version of used JavaScript Libraries:
# http://orbjs.net v. 1.0.9., 2. August 2016